## net.sf.saxon.trans
Class UncheckedXPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.sf.saxon.trans.UncheckedXPathException

All Implemented Interfaces:
  Serializable

    public class UncheckedXPathException

extends RuntimeException

When tree construction is deferred, innocuous methods such as NodeInfo#getLocalName() may trigger a dynamic error. Rather than make all such methods on NodeInfo throw a checked XPathException, we instead throw an UncheckedXPathException, which is a simple wrapper for an XPathException. Appropriate places in the client code must check for this condition and translate it back into an XPathException.

See Also:
  Serialized Form

Constructor Summary
`UncheckedXPathException(XPathException cause)`

Method Summary
`XPathException` `getXPathException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UncheckedXPathException

    public UncheckedXPathException(XPathException cause)

Method Detail

### getXPathException

    public XPathException getXPathException()

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.